org.apache.hc.client5.http.async.methods

## Class BasicHttpRequests

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.BasicHttpRequests

Deprecated.
Use `BasicRequestBuilder`.

    @Deprecated
    public final class BasicHttpRequests
    extends Object

Common HTTP methods using `BasicHttpRequest` as a HTTP request message representation.

Since:
  5.0

### Constructor Summary

Constructors
Constructor and Description
`BasicHttpRequests()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static BasicHttpRequest` `create(Method method, HttpHost host, String path)` Deprecated. Creates a request object of the exact subclass of `BasicHttpRequest`.
`static BasicHttpRequest` `create(Method method, String uri)` Deprecated. Creates a request object of the exact subclass of `BasicHttpRequest`.
`static BasicHttpRequest` `create(Method method, URI uri)` Deprecated. Creates a request object of the exact subclass of `BasicHttpRequest`.
`static BasicHttpRequest` `create(String method, String uri)` Deprecated. Creates a new BasicHttpRequest for the given `method` and `String` URI.
`static BasicHttpRequest` `create(String method, URI uri)` Deprecated. Creates a new BasicHttpRequest for the given `method` and `URI`.
`static BasicHttpRequest` `delete(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `delete(String uri)` Deprecated.
`static BasicHttpRequest` `delete(URI uri)` Deprecated.
`static BasicHttpRequest` `get(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `get(String uri)` Deprecated.
`static BasicHttpRequest` `get(URI uri)` Deprecated.
`static BasicHttpRequest` `head(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `head(String uri)` Deprecated.
`static BasicHttpRequest` `head(URI uri)` Deprecated.
`static BasicHttpRequest` `options(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `options(String uri)` Deprecated.
`static BasicHttpRequest` `options(URI uri)` Deprecated.
`static BasicHttpRequest` `patch(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `patch(String uri)` Deprecated.
`static BasicHttpRequest` `patch(URI uri)` Deprecated.
`static BasicHttpRequest` `post(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `post(String uri)` Deprecated.
`static BasicHttpRequest` `post(URI uri)` Deprecated.
`static BasicHttpRequest` `put(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `put(String uri)` Deprecated.
`static BasicHttpRequest` `put(URI uri)` Deprecated.
`static BasicHttpRequest` `trace(HttpHost host, String path)` Deprecated.
`static BasicHttpRequest` `trace(String uri)` Deprecated.
`static BasicHttpRequest` `trace(URI uri)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicHttpRequests

    public BasicHttpRequests()

Deprecated.

### Method Detail

#### create

    public static BasicHttpRequest create(String method,
                                          String uri)

Deprecated.
Creates a new BasicHttpRequest for the given `method` and `String` URI.

Parameters:
  `method` - A method supported by this class.
  `uri` - a non-null request string URI.
Returns:
  A new BasicHttpRequest.

#### create

    public static BasicHttpRequest create(String method,
                                          URI uri)

Deprecated.
Creates a new BasicHttpRequest for the given `method` and `URI`.

Parameters:
  `method` - A method supported by this class.
  `uri` - a non-null request URI.
Returns:
  A new BasicHttpRequest.

#### delete

    public static BasicHttpRequest delete(String uri)

Deprecated.

#### delete

    public static BasicHttpRequest delete(URI uri)

Deprecated.

#### delete

    public static BasicHttpRequest delete(HttpHost host,
                                          String path)

Deprecated.

#### get

    public static BasicHttpRequest get(String uri)

Deprecated.

#### get

    public static BasicHttpRequest get(URI uri)

Deprecated.

#### get

    public static BasicHttpRequest get(HttpHost host,
                                       String path)

Deprecated.

#### head

    public static BasicHttpRequest head(String uri)

Deprecated.

#### head

    public static BasicHttpRequest head(URI uri)

Deprecated.

#### head

    public static BasicHttpRequest head(HttpHost host,
                                        String path)

Deprecated.

#### options

    public static BasicHttpRequest options(String uri)

Deprecated.

#### options

    public static BasicHttpRequest options(URI uri)

Deprecated.

#### options

    public static BasicHttpRequest options(HttpHost host,
                                           String path)

Deprecated.

#### patch

    public static BasicHttpRequest patch(String uri)

Deprecated.

#### patch

    public static BasicHttpRequest patch(URI uri)

Deprecated.

#### patch

    public static BasicHttpRequest patch(HttpHost host,
                                         String path)

Deprecated.

#### post

    public static BasicHttpRequest post(String uri)

Deprecated.

#### post

    public static BasicHttpRequest post(URI uri)

Deprecated.

#### post

    public static BasicHttpRequest post(HttpHost host,
                                        String path)

Deprecated.

#### put

    public static BasicHttpRequest put(String uri)

Deprecated.

#### put

    public static BasicHttpRequest put(URI uri)

Deprecated.

#### put

    public static BasicHttpRequest put(HttpHost host,
                                       String path)

Deprecated.

#### trace

    public static BasicHttpRequest trace(String uri)

Deprecated.

#### trace

    public static BasicHttpRequest trace(URI uri)

Deprecated.

#### trace

    public static BasicHttpRequest trace(HttpHost host,
                                         String path)

Deprecated.

#### create

    public static BasicHttpRequest create(Method method,
                                          String uri)

Deprecated.
Creates a request object of the exact subclass of `BasicHttpRequest`.

Parameters:
  `uri` - a non-null URI String.
Returns:
  a new subclass of BasicHttpRequest

#### create

    public static BasicHttpRequest create(Method method,
                                          URI uri)

Deprecated.
Creates a request object of the exact subclass of `BasicHttpRequest`.

Parameters:
  `uri` - a non-null URI.
Returns:
  a new subclass of BasicHttpRequest

#### create

    public static BasicHttpRequest create(Method method,
                                          HttpHost host,
                                          String path)

Deprecated.
Creates a request object of the exact subclass of `BasicHttpRequest`.

Parameters:
  `host` - HTTP host.
  `path` - request path.
Returns:
  a new subclass of BasicHttpRequest